Bug 220794 - iptables gives an avc error on type 'nscd_var_run_t'
iptables gives an avc error on type 'nscd_var_run_t'
Product: Fedora
Classification: Fedora
Component: selinux-policy-targeted (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Daniel Walsh
Ben Levenson
Depends On:
  Show dependency treegraph
Reported: 2006-12-26 21:42 EST by Need Real Name
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version: Current
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-08-22 10:03:04 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2006-12-26 21:42:01 EST
Description of problem:
Running iptables gives the following avc error:

audit(1167186952.297:105): avc:  denied  { search } for  pid=9262
comm="iptables-restor" name="nscd" dev=hda7 ino=584937
tcontext=system_u:object_r:nscd_var_run_t:s0 tclass=dir

My guess is that this occurs when iptables looks up chains that have a machine
name rather than ip address as the source or destination addresses.

I would think that this should be allowed:

Solution would be to allow something like the following:

require {
        class dir search;
        type iptables_t;
        type nscd_var_run_t;
        role system_r;

allow iptables_t nscd_var_run_t:dir search;
Comment 1 Daniel Walsh 2006-12-29 10:23:00 EST
Fixed in selinux-policy-2.4.6-20
Comment 2 Need Real Name 2007-01-04 00:49:57 EST
When are these versions of selinux-policy going to be pushed to the 'updates'

Currently 'updates' seems stuck at version 2.4.6-13 and even 'testing' is only
up to '2.4.6-17'

Comment 3 Daniel Walsh 2007-01-05 16:06:58 EST
'2.4.6-17 should be released and
'2.4.6-23 is in going into testing today.
Comment 4 Daniel Walsh 2007-08-22 10:03:04 EDT
Closed as all fixes are in the current release

Note You need to log in before you can comment on or make changes to this bug.